From 7ee7625f86d7342feadfa9a41062a93e35e26822 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Laur=C3=A9line=20Gu=C3=A9rin?= <zebuline@entrouvert.com>
Date: Fri, 3 Jun 2022 14:23:55 +0200
Subject: [PATCH] pricing: empty app (#65976)

---
 .../migrations/0127_remove_pricing_models.py  |   23 +
 chrono/agendas/models.py                      |   27 -
 chrono/manager/forms.py                       |   31 +-
 chrono/manager/static/css/style.scss          |   36 -
 chrono/manager/static/js/chrono.manager.js    |   33 -
 .../manager_events_agenda_settings.html       |   25 -
 .../templates/chrono/manager_home.html        |    3 -
 chrono/manager/utils.py                       |   15 -
 chrono/manager/views.py                       |   63 +-
 chrono/pricing/forms.py                       |  128 --
 .../migrations/0004_remove_pricing_models.py  |   55 +
 chrono/pricing/models.py                      |  592 ------
 .../manager_agenda_pricing_detail.html        |   61 -
 .../pricing/manager_agenda_pricing_form.html  |   35 -
 .../manager_agenda_pricing_matrix_form.html   |   58 -
 .../manager_criteria_category_form.html       |   31 -
 .../chrono/pricing/manager_criteria_form.html |   31 -
 .../chrono/pricing/manager_criteria_list.html |   58 -
 ...anager_pricing_criteria_category_form.html |   31 -
 .../pricing/manager_pricing_detail.html       |   74 -
 .../manager_pricing_duplicate_form.html       |   22 -
 .../chrono/pricing/manager_pricing_form.html  |   31 -
 .../chrono/pricing/manager_pricing_list.html  |   39 -
 .../manager_pricing_variable_form.html        |   44 -
 chrono/pricing/urls.py                        |  149 --
 chrono/pricing/views.py                       |  667 -------
 chrono/settings.py                            |    3 -
 chrono/urls.py                                |    2 -
 tests/manager/test_all.py                     |   51 -
 tests/manager/test_check_type.py              |   74 -
 tests/manager/test_import_export.py           |   15 +-
 tests/pricing/__init__.py                     |    0
 tests/pricing/conftest.py                     |   36 -
 tests/pricing/test_manager.py                 | 1630 -----------------
 tests/pricing/test_models.py                  | 1477 ---------------
 tests/settings.py                             |    1 -
 tests/test_import_export.py                   |  281 ---
 37 files changed, 86 insertions(+), 5846 deletions(-)
 create mode 100644 chrono/agendas/migrations/0127_remove_pricing_models.py
 delete mode 100644 chrono/pricing/forms.py
 create mode 100644 chrono/pricing/migrations/0004_remove_pricing_models.py
 delete mode 100644 chrono/pricing/templates/chrono/pricing/manager_agenda_pricing_detail.html
 delete mode 100644 chrono/pricing/templates/chrono/pricing/manager_agenda_pricing_form.html
 delete mode 100644 chrono/pricing/templates/chrono/pricing/manager_agenda_pricing_matrix_form.html
 delete mode 100644 chrono/pricing/templates/chrono/pricing/manager_criteria_category_form.html
 delete mode 100644 chrono/pricing/templates/chrono/pricing/manager_criteria_form.html
 delete mode 100644 chrono/pricing/templates/chrono/pricing/manager_criteria_list.html
 delete mode 100644 chrono/pricing/templates/chrono/pricing/manager_pricing_criteria_category_form.html
 delete mode 100644 chrono/pricing/templates/chrono/pricing/manager_pricing_detail.html
 delete mode 100644 chrono/pricing/templates/chrono/pricing/manager_pricing_duplicate_form.html
 delete mode 100644 chrono/pricing/templates/chrono/pricing/manager_pricing_form.html
 delete mode 100644 chrono/pricing/templates/chrono/pricing/manager_pricing_list.html
 delete mode 100644 chrono/pricing/templates/chrono/pricing/manager_pricing_variable_form.html
 delete mode 100644 chrono/pricing/urls.py
 delete mode 100644 chrono/pricing/views.py
 delete mode 100644 tests/pricing/__init__.py
 delete mode 100644 tests/pricing/conftest.py
 delete mode 100644 tests/pricing/test_manager.py
 delete mode 100644 tests/pricing/test_models.py

diff --git a/chrono/agendas/migrations/0127_remove_pricing_models.py b/chrono/agendas/migrations/0127_remove_pricing_models.py
new file mode 100644
index 00000000..65164596
--- /dev/null
+++ b/chrono/agendas/migrations/0127_remove_pricing_models.py
@@ -0,0 +1,23 @@
+from django.db import migrations
+
+
+class Migration(migrations.Migration):
+
+    dependencies = [
+        ('agendas', '0126_pricing'),
+    ]
+
+    operations = [
+        migrations.RemoveField(
+            model_name='agenda',
+            name='pricings',
+        ),
+        migrations.RemoveField(
+            model_name='checktype',
+            name='pricing',
+        ),
+        migrations.RemoveField(
+            model_name='checktype',
+            name='pricing_rate',
+        ),
+    ]
diff --git a/chrono/agendas/models.py b/chrono/agendas/models.py
index db39c9d6..53f1b008 100644
--- a/chrono/agendas/models.py
+++ b/chrono/agendas/models.py
@@ -251,11 +251,6 @@ class Agenda(models.Model):
         null=True,
         blank=True,
     )
-    pricings = models.ManyToManyField(
-        'pricing.Pricing',
-        related_name='agendas',
-        through='pricing.AgendaPricing',
-    )
 
     class Meta:
         ordering = ['label']
@@ -404,7 +399,6 @@ class Agenda(models.Model):
             agenda['event_display_template'] = self.event_display_template
             agenda['mark_event_checked_auto'] = self.mark_event_checked_auto
             agenda['events_type'] = self.events_type.slug if self.events_type else None
-            agenda['pricings'] = [x.export_json() for x in self.agendapricing_set.all()]
         elif self.kind == 'meetings':
             agenda['meetingtypes'] = [x.export_json() for x in self.meetingtype_set.filter(deleted=False)]
             agenda['desks'] = [desk.export_json() for desk in self.desk_set.all()]
@@ -423,7 +417,6 @@ class Agenda(models.Model):
             events = data.pop('events')
             notifications_settings = data.pop('notifications_settings', None)
             exceptions_desk = data.pop('exceptions_desk', None)
-            pricings = data.pop('pricings', None) or []
         elif data['kind'] == 'meetings':
             meetingtypes = data.pop('meetingtypes')
             desks = data.pop('desks')
@@ -455,14 +448,6 @@ class Agenda(models.Model):
                 data['events_type'] = EventsType.objects.get(slug=data['events_type'])
             except EventsType.DoesNotExist:
                 raise AgendaImportError(_('Missing "%s" events type') % data['events_type'])
-        if data['kind'] == 'events' and pricings:
-            from chrono.pricing.models import Pricing
-
-            for pricing_data in pricings:
-                try:
-                    pricing_data['pricing'] = Pricing.objects.get(slug=pricing_data['pricing'])
-                except Pricing.DoesNotExist:
-                    raise AgendaImportError(_('Missing "%s" pricing model') % pricing_data['pricing'])
         agenda, created = cls.objects.update_or_create(slug=data['slug'], defaults=data)
         if overwrite:
             AgendaReminderSettings.objects.filter(agenda=agenda).delete()
@@ -473,18 +458,12 @@ class Agenda(models.Model):
             if overwrite:
                 Event.objects.filter(agenda=agenda).delete()
                 AgendaNotificationsSettings.objects.filter(agenda=agenda).delete()
-                agenda.agendapricing_set.all().delete()
             for event_data in events:
                 event_data['agenda'] = agenda
                 Event.import_json(event_data)
             if notifications_settings:
                 notifications_settings['agenda'] = agenda
                 AgendaNotificationsSettings.import_json(notifications_settings)
-            for pricing_data in pricings:
-                from chrono.pricing.models import AgendaPricing
-
-                pricing_data['agenda'] = agenda
-                AgendaPricing.import_json(pricing_data)
             if exceptions_desk:
                 exceptions_desk['agenda'] = agenda
                 Desk.import_json(exceptions_desk)
@@ -3129,12 +3108,6 @@ class CheckType(models.Model):
         choices=[('absence', _('Absence')), ('presence', _('Presence'))],
         default='absence',
     )
-    pricing = models.DecimalField(
-        _('Pricing'), max_digits=5, decimal_places=2, help_text=_('Fixed pricing'), blank=True, null=True
-    )
-    pricing_rate = models.PositiveIntegerField(
-        _('Pricing rate'), help_text=_('Percentage rate'), blank=True, null=True
-    )
     disabled = models.BooleanField(_('Disabled'), default=False)
     objects = CheckTypeManager()
 
diff --git a/chrono/manager/forms.py b/chrono/manager/forms.py
index c1b7669d..25068a8b 100644
--- a/chrono/manager/forms.py
+++ b/chrono/manager/forms.py
@@ -69,27 +69,10 @@ from . import widgets
 from .widgets import SplitDateTimeField, WeekdaysWidget
 
 
-class NewCheckTypeForm(forms.ModelForm):
+class CheckTypeForm(forms.ModelForm):
     class Meta:
         model = CheckType
-        fields = ['label', 'kind', 'pricing', 'pricing_rate']
-
-    def __init__(self, *args, **kwargs):
-        super().__init__(*args, **kwargs)
-        if not settings.CHRONO_ENABLE_PRICING:
-            del self.fields['pricing']
-            del self.fields['pricing_rate']
-
-    def clean(self):
-        super().clean()
-        if self.cleaned_data.get('pricing') is not None and self.cleaned_data.get('pricing_rate') is not None:
-            raise ValidationError(_('Please choose between pricing and pricing rate.'))
-
-
-class CheckTypeForm(NewCheckTypeForm):
-    class Meta:
-        model = CheckType
-        fields = ['label', 'slug', 'pricing', 'pricing_rate', 'disabled']
+        fields = ['label', 'slug', 'disabled']
 
     def clean_slug(self):
         slug = self.cleaned_data['slug']
@@ -1425,16 +1408,6 @@ class AgendasExportForm(forms.Form):
     categories = forms.BooleanField(label=_('Categories'), required=False, initial=True)
     check_type_groups = forms.BooleanField(label=_('Check type groups'), required=False, initial=True)
     events_types = forms.BooleanField(label=_('Events types'), required=False, initial=True)
-    pricing_categories = forms.BooleanField(
-        label=_('Pricing criteria categories'), required=False, initial=True
-    )
-    pricing_models = forms.BooleanField(label=_('Pricing models'), required=False, initial=True)
-
-    def __init__(self, *args, **kwargs):
-        super().__init__(*args, **kwargs)
-        if not settings.CHRONO_ENABLE_PRICING:
-            del self.fields['pricing_categories']
-            del self.fields['pricing_models']
 
 
 class SharedCustodyRuleForm(forms.ModelForm):
diff --git a/chrono/manager/static/js/chrono.manager.js b/chrono/manager/static/js/chrono.manager.js
index 78ddf600..97d87a18 100644
--- a/chrono/manager/static/js/chrono.manager.js
+++ b/chrono/manager/static/js/chrono.manager.js
@@ -48,37 +48,4 @@ $(function() {
       total_form.val(form_num + 1);
     })
   }
-
-  $(document).on('click', '#add-pricing-variable-form', function() {
-    if (typeof property_forms === "undefined") {var property_forms = $('.pricing-variable-form');}
-    if (typeof total_forms === "undefined") {var total_form = $('#id_form-TOTAL_FORMS');}
-    if (typeof form_num === "undefined") {var form_num = property_forms.length - 1;}
-    var new_form = $(property_forms[0]).clone();
-    var form_regex = RegExp(`form-(\\d){1}-`,'g');
-    form_num++;
-    new_form.html(new_form.html().replace(form_regex, `form-${form_num}-`));
-    new_form.appendTo('#pricing-variable-forms tbody');
-    $('#id_form-' + form_num + '-key').val('');
-    $('#id_form-' + form_num + '-value').val('');
-    total_form.val(form_num + 1);
-  })
-
-  $('.sortable').sortable({
-    handle: '.handle',
-    items: '.sortable-item',
-    update : function(event, ui) {
-      var new_order = '';
-      $(this).find('.sortable-item').each(function(i, x) {
-        var item_id = $(x).data('item-id');
-        if (new_order) {
-          new_order += ',';
-        }
-        new_order += item_id;
-      });
-      $.ajax({
-        url: $(this).data('order-url'),
-        data: {'new-order': new_order}
-      });
-    }
-  });
 });
diff --git a/chrono/manager/utils.py b/chrono/manager/utils.py
index 22c53d1d..0e2952f2 100644
--- a/chrono/manager/utils.py
+++ b/chrono/manager/utils.py
@@ -30,7 +30,6 @@ from chrono.agendas.models import (
     Resource,
     UnavailabilityCalendar,
 )
-from chrono.pricing.models import CriteriaCategory, Pricing
 
 
 def export_site(
@@ -40,15 +39,9 @@ def export_site(
     events_types=True,
     resources=True,
     categories=True,
-    pricing_categories=True,
-    pricing_models=True,
 ):
     '''Dump site objects to JSON-dumpable dictionnary'''
     data = collections.OrderedDict()
-    if pricing_models:
-        data['pricing_models'] = [x.export_json() for x in Pricing.objects.all()]
-    if pricing_categories:
-        data['pricing_categories'] = [x.export_json() for x in CriteriaCategory.objects.all()]
     if categories:
         data['categories'] = [x.export_json() for x in Category.objects.all()]
     if resources:
@@ -75,8 +68,6 @@ def import_site(data, if_empty=False, clean=False, overwrite=False):
         or EventsType.objects.exists()
         or Resource.objects.exists()
         or Category.objects.exists()
-        or CriteriaCategory.objects.exists()
-        or Pricing.objects.exists()
     ):
         return
 
@@ -87,8 +78,6 @@ def import_site(data, if_empty=False, clean=False, overwrite=False):
         EventsType.objects.all().delete()
         Resource.objects.all().delete()
         Category.objects.all().delete()
-        CriteriaCategory.objects.all().delete()
-        Pricing.objects.all().delete()
 
     results = {
         key: collections.defaultdict(list)
@@ -99,8 +88,6 @@ def import_site(data, if_empty=False, clean=False, overwrite=False):
             'events_types',
             'resources',
             'categories',
-            'pricing_categories',
-            'pricing_models',
         ]
     }
 
@@ -124,8 +111,6 @@ def import_site(data, if_empty=False, clean=False, overwrite=False):
             (CheckTypeGroup, 'check_type_groups'),
             (UnavailabilityCalendar, 'unavailability_calendars'),
             (Agenda, 'agendas'),
-            (CriteriaCategory, 'pricing_categories'),
-            (Pricing, 'pricing_models'),
         ):
             objs = data.get(key, [])
             for obj in objs:
diff --git a/chrono/manager/views.py b/chrono/manager/views.py
index ebe61881..e4ef7518 100644
--- a/chrono/manager/views.py
+++ b/chrono/manager/views.py
@@ -26,7 +26,6 @@ from operator import attrgetter
 
 import requests
 from dateutil.relativedelta import MO, relativedelta
-from django.conf import settings
 from django.contrib import messages
 from django.core.exceptions import PermissionDenied
 from django.db import IntegrityError, transaction
@@ -87,7 +86,6 @@ from chrono.agendas.models import (
     UnavailabilityCalendar,
     VirtualMember,
 )
-from chrono.pricing.models import AgendaPricing
 from chrono.utils.date import get_weekday_index
 
 from .forms import (
@@ -116,7 +114,6 @@ from .forms import (
     EventsTimesheetForm,
     ImportEventsForm,
     MeetingTypeForm,
-    NewCheckTypeForm,
     NewDeskForm,
     NewEventForm,
     NewMeetingTypeForm,
@@ -165,7 +162,6 @@ class HomepageView(ListView):
     def get_context_data(self, **kwargs):
         context = super().get_context_data(**kwargs)
         context['has_access_to_unavailability_calendars'] = self.has_access_to_unavailability_calendars()
-        context['pricing_enabled'] = settings.CHRONO_ENABLE_PRICING
         return context
 
     def get(self, request, *args, **kwargs):
@@ -763,7 +759,7 @@ check_type_group_export = CheckTypeGroupExport.as_view()
 class CheckTypeAddView(CreateView):
     template_name = 'chrono/manager_check_type_form.html'
     model = CheckType
-    form_class = NewCheckTypeForm
+    fields = ['label', 'kind']
 
     def dispatch(self, request, *args, **kwargs):
         self.group_pk = kwargs.pop('group_pk')
@@ -1073,34 +1069,6 @@ class AgendasImportView(FormView):
                     x,
                 ),
             },
-            'pricing_categories': {
-                'create_noop': _('No pricing criteria category created.'),
-                'create': lambda x: ungettext(
-                    'A pricing criteria category has been created.',
-                    '%(count)d pricing criteria categories have been created.',
-                    x,
-                ),
-                'update_noop': _('No pricing criteria category updated.'),
-                'update': lambda x: ungettext(
-                    'A pricing criteria category has been updated.',
-                    '%(count)d pricing criteria categories have been updated.',
-                    x,
-                ),
-            },
-            'pricing_models': {
-                'create_noop': _('No pricing model created.'),
-                'create': lambda x: ungettext(
-                    'A pricing model has been created.',
-                    '%(count)d pricing models have been created.',
-                    x,
-                ),
-                'update_noop': _('No pricing model updated.'),
-                'update': lambda x: ungettext(
-                    'A pricing model has been updated.',
-                    '%(count)d pricing models have been updated.',
-                    x,
-                ),
-            },
         }
 
         global_noop = True
@@ -1121,19 +1089,17 @@ class AgendasImportView(FormView):
 
                 obj_results['messages'] = "%s %s" % (message1, message2)
 
-        a_count, uc_count, arg_count, pc_count, pm_count = (
+        a_count, uc_count, arg_count = (
             len(results['agendas']['all']),
             len(results['unavailability_calendars']['all']),
             len(results['check_type_groups']['all']),
-            len(results['pricing_categories']['all']),
-            len(results['pricing_models']['all']),
         )
-        if (a_count, uc_count, arg_count, pc_count, pm_count) == (1, 0, 0, 0, 0):
+        if (a_count, uc_count, arg_count) == (1, 0, 0):
             # only one agenda imported, redirect to settings page
             return HttpResponseRedirect(
                 reverse('chrono-manager-agenda-settings', kwargs={'pk': results['agendas']['all'][0].pk})
             )
-        if (a_count, uc_count, arg_count, pc_count, pm_count) == (0, 1, 0, 0, 0):
+        if (a_count, uc_count, arg_count) == (0, 1, 0):
             # only one unavailability calendar imported, redirect to settings page
             return HttpResponseRedirect(
                 reverse(
@@ -1141,20 +1107,9 @@ class AgendasImportView(FormView):
                     kwargs={'pk': results['unavailability_calendars']['all'][0].pk},
                 )
             )
-        if (a_count, uc_count, arg_count, pc_count, pm_count) == (0, 0, 1, 0, 0):
+        if (a_count, uc_count, arg_count) == (0, 0, 1):
             # only one check type group imported, redirect to check type page
             return HttpResponseRedirect(reverse('chrono-manager-check-type-list'))
-        if (a_count, uc_count, arg_count, pc_count, pm_count) == (0, 0, 0, 1, 0):
-            # only one criteria category imported, redirect to criteria page
-            return HttpResponseRedirect(reverse('chrono-manager-pricing-criteria-list'))
-        if (a_count, uc_count, arg_count, pc_count, pm_count) == (0, 0, 0, 0, 1):
-            # only one pricing imported, redirect to pricing page
-            return HttpResponseRedirect(
-                reverse(
-                    'chrono-manager-pricing-detail',
-                    kwargs={'pk': results['pricing_models']['all'][0].pk},
-                )
-            )
 
         if global_noop:
             messages.info(self.request, _('No data found.'))
@@ -1165,8 +1120,6 @@ class AgendasImportView(FormView):
             messages.info(self.request, results['events_types']['messages'])
             messages.info(self.request, results['resources']['messages'])
             messages.info(self.request, results['categories']['messages'])
-            messages.info(self.request, results['pricing_categories']['messages'])
-            messages.info(self.request, results['pricing_models']['messages'])
 
         return super().form_valid(form)
 
@@ -1925,12 +1878,6 @@ class AgendaSettings(ManagedAgendaMixin, DetailView):
                 end_datetime__gt=now(),
             )
             context['desk'] = desk
-            context['pricing_enabled'] = settings.CHRONO_ENABLE_PRICING
-            context['agenda_pricings'] = (
-                AgendaPricing.objects.filter(agenda=self.agenda)
-                .select_related('pricing')
-                .order_by('date_start', 'date_end')
-            )
         return context
 
     def get_events(self):
diff --git a/chrono/pricing/migrations/0004_remove_pricing_models.py b/chrono/pricing/migrations/0004_remove_pricing_models.py
new file mode 100644
index 00000000..28f1cf08
--- /dev/null
+++ b/chrono/pricing/migrations/0004_remove_pricing_models.py
@@ -0,0 +1,55 @@
+from django.db import migrations
+
+
+class Migration(migrations.Migration):
+
+    dependencies = [
+        ('agendas', '0127_remove_pricing_models'),
+        ('pricing', '0003_extra_variables'),
+    ]
+
+    operations = [
+        migrations.AlterUniqueTogether(
+            name='criteria',
+            unique_together=None,
+        ),
+        migrations.RemoveField(
+            model_name='criteria',
+            name='category',
+        ),
+        migrations.RemoveField(
+            model_name='pricing',
+            name='categories',
+        ),
+        migrations.RemoveField(
+            model_name='pricing',
+            name='criterias',
+        ),
+        migrations.AlterUniqueTogether(
+            name='pricingcriteriacategory',
+            unique_together=None,
+        ),
+        migrations.RemoveField(
+            model_name='pricingcriteriacategory',
+            name='category',
+        ),
+        migrations.RemoveField(
+            model_name='pricingcriteriacategory',
+            name='pricing',
+        ),
+        migrations.DeleteModel(
+            name='AgendaPricing',
+        ),
+        migrations.DeleteModel(
+            name='Criteria',
+        ),
+        migrations.DeleteModel(
+            name='CriteriaCategory',
+        ),
+        migrations.DeleteModel(
+            name='Pricing',
+        ),
+        migrations.DeleteModel(
+            name='PricingCriteriaCategory',
+        ),
+    ]
diff --git a/chrono/settings.py b/chrono/settings.py
index ee5ea957..54e7190f 100644
--- a/chrono/settings.py
+++ b/chrono/settings.py
@@ -190,9 +190,6 @@ except ImportError:
     WORKING_DAY_CALENDAR = None
     EXCEPTIONS_SOURCES = {}
 
-# feature flag for publik-famille & pricing developements
-CHRONO_ENABLE_PRICING = False
-
 TEMPLATE_VARS = {}
 SMS_URL = ''
 SMS_SENDER = ''
diff --git a/chrono/urls.py b/chrono/urls.py
index 5f15df95..d130965d 100644
--- a/chrono/urls.py
+++ b/chrono/urls.py
@@ -22,14 +22,12 @@ from django.contrib.staticfiles.urls import staticfiles_urlpatterns
 
 from .api.urls import urlpatterns as chrono_api_urls
 from .manager.urls import urlpatterns as chrono_manager_urls
-from .pricing.urls import urlpatterns as chrono_pricing_urls
 from .urls_utils import decorated_includes
 from .views import LoginView, LogoutView, homepage
 
 urlpatterns = [
     url(r'^$', homepage, name='home'),
     url(r'^manage/', decorated_includes(login_required, include(chrono_manager_urls))),
-    url(r'^manage/pricing/', decorated_includes(login_required, include(chrono_pricing_urls))),
     url(r'^api/', include(chrono_api_urls)),
     url(r'^logout/$', LogoutView.as_view(), name='auth_logout'),
     url(r'^login/$', LoginView.as_view(), name='auth_login'),
diff --git a/tests/manager/test_all.py b/tests/manager/test_all.py
index ad1cacda..96736450 100644
--- a/tests/manager/test_all.py
+++ b/tests/manager/test_all.py
@@ -25,7 +25,6 @@ from chrono.agendas.models import (
     UnavailabilityCalendar,
     VirtualMember,
 )
-from chrono.pricing.models import AgendaPricing, Pricing
 from chrono.utils.signature import check_query
 from tests.utils import login
 
@@ -445,56 +444,6 @@ def test_options_events_agenda_events_type(app, admin_user):
     assert 'events_type' not in resp.context['form'].fields
 
 
-def test_options_events_agenda_pricing(settings, app, admin_user):
-    agenda = Agenda.objects.create(label='Foo bar', kind='events')
-    pricing1 = Pricing.objects.create(label='Model 1')
-    pricing2 = Pricing.objects.create(label='Model 2')
-
-    app = login(app)
-    resp = app.get('/manage/agendas/%s/settings' % agenda.pk)
-    assert 'Pricing' in resp
-    assert 'Model 1' not in resp
-    assert 'Model 2' not in resp
-    AgendaPricing.objects.create(
-        agenda=agenda,
-        pricing=pricing1,
-        date_start=datetime.date(year=2021, month=9, day=1),
-        date_end=datetime.date(year=2022, month=9, day=1),
-    )
-    AgendaPricing.objects.create(
-        agenda=agenda,
-        pricing=pricing1,
-        date_start=datetime.date(year=2022, month=9, day=1),
-        date_end=datetime.date(year=2023, month=9, day=1),
-    )
-    AgendaPricing.objects.create(
-        agenda=agenda,
-        pricing=pricing2,
-        date_start=datetime.date(year=2022, month=9, day=1),
-        date_end=datetime.date(year=2023, month=9, day=1),
-    )
-
-    resp = app.get('/manage/agendas/%s/settings' % agenda.pk)
-    assert 'Model 1 (01/09/2021 - 01/09/2022)' in resp
-    assert 'Model 1 (01/09/2022 - 01/09/2023)' in resp
-    assert 'Model 2 (01/09/2022 - 01/09/2023)' in resp
-
-    settings.CHRONO_ENABLE_PRICING = False
-    resp = app.get('/manage/agendas/%s/settings' % agenda.pk)
-    assert 'Pricing' not in resp
-    assert 'Model 1' not in resp
-    assert 'Model 2' not in resp
-    settings.CHRONO_ENABLE_PRICING = True
-
-    # check kind
-    agenda.kind = 'meetings'
-    agenda.save()
-    resp = app.get('/manage/agendas/%s/settings' % agenda.pk)
-    assert 'Pricing' not in resp
-    assert 'Model 1' not in resp
-    assert 'Model 2' not in resp
-
-
 def test_options_events_agenda_delays(settings, app, admin_user):
     settings.WORKING_DAY_CALENDAR = None
     agenda = Agenda.objects.create(label='Foo bar')
diff --git a/tests/manager/test_check_type.py b/tests/manager/test_check_type.py
index 2e7e2c7d..5bb0b34c 100644
--- a/tests/manager/test_check_type.py
+++ b/tests/manager/test_check_type.py
@@ -119,8 +119,6 @@ def test_add_check_type(app, admin_user):
     assert check_type.group == group
     assert check_type.slug == 'foo-reason'
     assert check_type.kind == 'absence'
-    assert check_type.pricing is None
-    assert check_type.pricing_rate is None
 
     resp = app.get('/manage/check-type/group/%s/add/' % group.pk)
     resp.form['label'] = 'Foo reason'
@@ -133,43 +131,6 @@ def test_add_check_type(app, admin_user):
     assert check_type.kind == 'presence'
 
 
-def test_add_check_type_pricing(settings, app, admin_user):
-    group = CheckTypeGroup.objects.create(label='Foo bar')
-
-    app = login(app)
-    resp = app.get('/manage/check-type/group/%s/add/' % group.pk)
-    assert 'pricing' in resp.context['form'].fields
-    assert 'pricing_rate' in resp.context['form'].fields
-    resp.form['label'] = 'Foo reason'
-    resp.form['pricing'] = 42
-    resp.form['pricing_rate'] = 150
-    resp = resp.form.submit()
-    assert resp.context['form'].errors['__all__'] == ['Please choose between pricing and pricing rate.']
-    resp.form['pricing'] = 0
-    resp.form['pricing_rate'] = 0
-    resp = resp.form.submit()
-    assert resp.context['form'].errors['__all__'] == ['Please choose between pricing and pricing rate.']
-    resp.form['pricing'] = 42
-    resp.form['pricing_rate'] = None
-    resp = resp.form.submit()
-    check_type = CheckType.objects.latest('pk')
-    assert check_type.pricing == 42
-    assert check_type.pricing_rate is None
-
-    resp = app.get('/manage/check-type/group/%s/add/' % group.pk)
-    resp.form['label'] = 'Foo reason'
-    resp.form['pricing_rate'] = 150
-    resp = resp.form.submit()
-    check_type = CheckType.objects.latest('pk')
-    assert check_type.pricing is None
-    assert check_type.pricing_rate == 150
-
-    settings.CHRONO_ENABLE_PRICING = False
-    resp = app.get('/manage/check-type/group/%s/add/' % group.pk)
-    assert 'pricing' not in resp.context['form'].fields
-    assert 'pricing_rate' not in resp.context['form'].fields
-
-
 def test_add_check_type_as_manager(app, manager_user, agenda_with_restrictions):
     group = CheckTypeGroup.objects.create(label='Foo bar')
 
@@ -205,8 +166,6 @@ def test_edit_check_type(app, admin_user):
     assert check_type.label == 'Foo bar reason'
     assert check_type.slug == 'foo-bar-reason'
     assert check_type.kind == 'presence'
-    assert check_type.pricing is None
-    assert check_type.pricing_rate is None
     assert check_type.disabled is True
 
     # check_type is used
@@ -225,39 +184,6 @@ def test_edit_check_type_as_manager(app, manager_user, agenda_with_restrictions)
     app.get('/manage/check-type/group/%s/%s/edit/' % (group.pk, check_type.pk), status=403)
 
 
-def test_edit_check_type_pricing(settings, app, admin_user):
-    group = CheckTypeGroup.objects.create(label='Foo bar')
-    check_type = CheckType.objects.create(label='Foo reason', group=group)
-
-    app = login(app)
-    resp = app.get('/manage/check-type/group/%s/%s/edit/' % (group.pk, check_type.pk))
-    assert 'pricing' in resp.context['form'].fields
-    assert 'pricing_rate' in resp.context['form'].fields
-    resp.form['pricing'] = 42
-    resp.form['pricing_rate'] = 150
-    resp = resp.form.submit()
-    assert resp.context['form'].errors['__all__'] == ['Please choose between pricing and pricing rate.']
-    resp.form['pricing'] = 42
-    resp.form['pricing_rate'] = None
-    resp = resp.form.submit()
-    check_type.refresh_from_db()
-    assert check_type.pricing == 42
-    assert check_type.pricing_rate is None
-
-    resp = app.get('/manage/check-type/group/%s/%s/edit/' % (group.pk, check_type.pk))
-    resp.form['pricing'] = None
-    resp.form['pricing_rate'] = 150
-    resp = resp.form.submit()
-    check_type.refresh_from_db()
-    assert check_type.pricing is None
-    assert check_type.pricing_rate == 150
-
-    settings.CHRONO_ENABLE_PRICING = False
-    resp = app.get('/manage/check-type/group/%s/%s/edit/' % (group.pk, check_type.pk))
-    assert 'pricing' not in resp.context['form'].fields
-    assert 'pricing_rate' not in resp.context['form'].fields
-
-
 def test_delete_check_type(app, admin_user):
     group = CheckTypeGroup.objects.create(label='Foo bar')
     check_type = CheckType.objects.create(label='Foo reason', group=group)
